> ## Documentation Index
> Fetch the complete documentation index at: https://bmpmoneyplus-sandbox.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Loan and Financing Report (SCR)

Through this endpoint, it is possible to consult the Loan and Financing Report (SCR), which shows the debts of Individuals and Legal Entities (up to date, overdue and in losses) with banks and financial institutions, in addition to other financial commitments in Reais and foreign currency.

* Type of transaction
* Active portfolio
* In arrears
* At a loss
* Co-obligations
* Available limit/credit
* Since when the relationship with IFs has been established.
* Risk evolution


## OpenAPI

````yaml post /Bureau/ConsultarSCR
openapi: 3.0.1
info:
  title: BMPDigitalCore.ApiExterna.Bureau.API
  version: '1.0'
servers:
  - url: https://api.bmpdigital.moneyp.dev.br/
    description: Localhost
security:
  - Bearer: []
paths:
  /Bureau/ConsultarSCR:
    post:
      tags:
        - BureauSync
      parameters:
        - name: IdempotencyKey
          in: header
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ConsultaSCRCommand'
          text/json:
            schema:
              $ref: '#/components/schemas/ConsultaSCRCommand'
          application/*+json:
            schema:
              $ref: '#/components/schemas/ConsultaSCRCommand'
      responses:
        '200':
          description: Success
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/ConsultaSCRResponse'
            application/json:
              schema:
                $ref: '#/components/schemas/ConsultaSCRResponse'
            text/json:
              schema:
                $ref: '#/components/schemas/ConsultaSCRResponse'
        '400':
          description: Bad Request
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/ConsultaSCRResponse'
            application/json:
              schema:
                $ref: '#/components/schemas/ConsultaSCRResponse'
            text/json:
              schema:
                $ref: '#/components/schemas/ConsultaSCRResponse'
components:
  schemas:
    ConsultaSCRCommand:
      type: object
      properties:
        consulta:
          $ref: '#/components/schemas/SCRRequest'
      additionalProperties: false
    ConsultaSCRResponse:
      type: object
      properties:
        msg:
          type: string
          nullable: true
        result:
          type: boolean
          writeOnly: true
        messages:
          type: array
          items:
            $ref: '#/components/schemas/Message'
          nullable: true
        hasError:
          type: boolean
        erro:
          type: boolean
        mensagemOperador:
          type: string
          nullable: true
        periodo:
          type: string
          nullable: true
        resumoDoCliente:
          $ref: '#/components/schemas/ResumoDoCliente'
        resumoDoClienteTraduzido:
          $ref: '#/components/schemas/ResumoDoClienteTraduzido'
        resumoModalidade:
          type: array
          items:
            $ref: '#/components/schemas/ResumoModalidade'
          nullable: true
      additionalProperties: false
    SCRRequest:
      type: object
      properties:
        documento:
          type: string
          nullable: true
        dataBaseMes:
          type: string
          nullable: true
        dataBaseAno:
          type: string
          nullable: true
        dtAceiteCliente:
          type: string
          format: date-time
          nullable: true
      additionalProperties: false
    Message:
      type: object
      properties:
        messageType:
          $ref: '#/components/schemas/ErrorType'
        code:
          type: string
          nullable: true
        context:
          type: string
          nullable: true
        description:
          type: string
          nullable: true
        field:
          type: string
          nullable: true
      additionalProperties: false
    ResumoDoCliente:
      type: object
      properties:
        cnpjDaIfSolicitante:
          type: string
          nullable: true
        codigoDoCliente:
          type: string
          nullable: true
        coobrigacaoAssumida:
          type: number
          format: double
        coobrigacaoAssumidaSpecified:
          type: boolean
        coobrigacaoRecebida:
          type: number
          format: double
        coobrigacaoRecebidaSpecified:
          type: boolean
        dataBaseConsultada:
          type: string
          nullable: true
        dataInicioRelacionamento:
          type: string
          nullable: true
        listaDeMensagensDeValidacao:
          type: array
          items:
            $ref: '#/components/schemas/BcMsgRetorno'
          nullable: true
        listaDeResumoDasOperacoes:
          type: array
          items:
            $ref: '#/components/schemas/ResumoDaOperacao'
          nullable: true
        percentualDocumentosProcessados:
          type: string
          nullable: true
        percentualVolumeProcessado:
          type: string
          nullable: true
        quantidadeDeInstituicoes:
          type: integer
          format: int32
        quantidadeDeOperacoes:
          type: integer
          format: int32
        quantidadeOperacoesDiscordancia:
          type: integer
          format: int32
        quantidadeOperacoesSubJudice:
          type: integer
          format: int32
        responsabilidadeTotalDiscordancia:
          type: number
          format: double
        responsabilidadeTotalDiscordanciaSpecified:
          type: boolean
        responsabilidadeTotalSubJudice:
          type: number
          format: double
        responsabilidadeTotalSubJudiceSpecified:
          type: boolean
        riscoIndiretoVendor:
          type: number
          format: double
        riscoIndiretoVendorSpecified:
          type: boolean
        tipoDoCliente:
          type: string
          nullable: true
      additionalProperties: false
    ResumoDoClienteTraduzido:
      type: object
      properties:
        dtInicioRelacionamento:
          type: string
          nullable: true
        qtdeInstituicoes:
          type: integer
          format: int32
        qtdeOperacoes:
          type: integer
          format: int32
        qtdeOperacoesDiscordancia:
          type: integer
          format: int32
        vlrOperacoesDiscordancia:
          type: number
          format: double
        qtdeOperacoesSobJudice:
          type: integer
          format: int32
        vlrOperacoesSobJudice:
          type: number
          format: double
        carteiraVencer:
          type: number
          format: double
        carteiraVencerAte30diasVencidosAte14dias:
          type: number
          format: double
        carteiraVencer31a60dias:
          type: number
          format: double
        carteiraVencer61a90dias:
          type: number
          format: double
        carteiraVencer91a180dias:
          type: number
          format: double
        carteiraVencer181a360dias:
          type: number
          format: double
        carteiraVencerAcima360dias:
          type: number
          format: double
        carteiraVencerPrazoIndeterminado:
          type: number
          format: double
        moedaEstrangeiraValor:
          type: number
          format: double
        moedaEstrangeiraValor15a30dias:
          type: number
          format: double
        moedaEstrangeiraValor31a60dias:
          type: number
          format: double
        moedaEstrangeiraValor61a90dias:
          type: number
          format: double
        moedaEstrangeiraValor91a180dias:
          type: number
          format: double
        moedaEstrangeiraValor181a360dias:
          type: number
          format: double
        moedaEstrangeiraValorAcima360dias:
          type: number
          format: double
        carteiraVencido:
          type: number
          format: double
        carteiraVencido15a30dias:
          type: number
          format: double
        carteiraVencido31a60dias:
          type: number
          format: double
        carteiraVencido61a90dias:
          type: number
          format: double
        carteiraVencido91a180dias:
          type: number
          format: double
        carteiraVencido181a360dias:
          type: number
          format: double
        carteiraVencidoAcima360dias:
          type: number
          format: double
        prejuizo:
          type: number
          format: double
        prejuizoAte12meses:
          type: number
          format: double
        prejuizoAcima12meses:
          type: number
          format: double
        carteiradeCredito:
          type: number
          format: double
        repasses:
          type: number
          format: double
        coobrigacoes:
          type: number
          format: double
        responsabilidadeTotal:
          type: number
          format: double
        creditosaLiberar:
          type: number
          format: double
        creditosaLiberarAte360dias:
          type: number
          format: double
        creditosaLiberarAcima360dias:
          type: number
          format: double
        limitesdeCredito:
          type: number
          format: double
        limitesdeCreditoAte360dias:
          type: number
          format: double
        limitesdeCreditoAcima360dias:
          type: number
          format: double
        riscoIndiretoVendor:
          type: number
          format: double
        riscoTotal:
          type: number
          format: double
        tituloDeCredito:
          type: number
          format: double
        tituloDeCreditoCPR:
          type: number
          format: double
        tituloDeCreditoEN:
          type: number
          format: double
        tituloDeCreditoDebentures:
          type: number
          format: double
        tituloDeCreditoNotaComercial:
          type: number
          format: double
        tituloDeCreditoOutros:
          type: number
          format: double
      additionalProperties: false
    ResumoModalidade:
      type: object
      properties:
        tipo:
          type: string
          nullable: true
        modalidade:
          type: string
          nullable: true
        dominio:
          type: string
          nullable: true
        subdominio:
          type: string
          nullable: true
        valorVencimento:
          type: number
          format: double
      additionalProperties: false
    ErrorType:
      enum:
        - 1
        - 2
        - 3
      type: integer
      format: int32
    BcMsgRetorno:
      type: object
      properties:
        codigo:
          type: string
          nullable: true
        mensagem:
          type: string
          nullable: true
      additionalProperties: false
    ResumoDaOperacao:
      type: object
      properties:
        listaDeVencimentos:
          type: array
          items:
            $ref: '#/components/schemas/ResumoDoVencimento'
          nullable: true
        modalidade:
          type: string
          nullable: true
        variacaoCambial:
          type: string
          nullable: true
      additionalProperties: false
    ResumoDoVencimento:
      type: object
      properties:
        codigoVencimento:
          type: string
          nullable: true
        valorVencimento:
          type: number
          format: double
        valorVencimentoSpecified:
          type: boolean
      additionalProperties: false
  securitySchemes:
    Bearer:
      type: apiKey
      description: Informe o token
      name: Authorization
      in: header

````